Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotAreaReference

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotAreaReference

public class PivotAreaReference extends Object
The Class PivotAreaReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotAreaReference()`
  Instantiates a new pivot area reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotAreaReference`
  `clone()`
  `int`
  `getCount()`
  Gets the count.
  `long`
  `getFieldIndex()`
  Gets the field index.
  `List<SharedItemIndex>`
  `getItems()`
  Gets the items.
  `boolean`
  `isAverageSubtotal()`
  Checks if is average subtotal.
  `boolean`
  `isCountASubtotal()`
  Checks if is count a subtotal.
  `boolean`
  `isCountSubtotal()`
  Checks if is count subtotal.
  `boolean`
  `isDefaultSubtotal()`
  Checks if is default subtotal.
  `boolean`
  `isMaxSubtotal()`
  Checks if is max subtotal.
  `boolean`
  `isMinSubtotal()`
  Checks if is min subtotal.
  `boolean`
  `isPositionalReference()`
  Checks if is positional reference.
  `boolean`
  `isProductSubtotal()`
  Checks if is product subtotal.
  `boolean`
  `isRelativeReference()`
  Checks if is relative reference.
  `boolean`
  `isSelected()`
  Checks if is selected.
  `boolean`
  `isStandardDeviationPopulationSubtotal()`
  Checks if is standard deviation population subtotal.
  `boolean`
  `isStandardDeviationSubtotal()`
  Checks if is standard deviation subtotal.
  `boolean`
  `isSumSubtotal()`
  Checks if is sum subtotal.
  `boolean`
  `isVariancePopulationSubtotal()`
  Checks if is variance population subtotal.
  `boolean`
  `isVarianceSubtotal()`
  Checks if is variance subtotal.
  `void`
  `setAverageSubtotal​(boolean averageSubtotal)`
  Sets the average subtotal.
  `void`
  `setCount​(int count)`
  Sets the count.
  `void`
  `setCountASubtotal​(boolean countASubtotal)`
  Sets the count a subtotal.
  `void`
  `setCountSubtotal​(boolean countSubtotal)`
  Sets the count subtotal.
  `void`
  `setDefaultSubtotal​(boolean defaultSubtotal)`
  Sets the default subtotal.
  `void`
  `setFieldIndex​(long fieldIndex)`
  Sets the field index.
  `void`
  `setMaxSubtotal​(boolean maxSubtotal)`
  Sets the max subtotal.
  `void`
  `setMinSubtotal​(boolean minSubtotal)`
  Sets the min subtotal.
  `void`
  `setPositionalReference​(boolean positionalReference)`
  Sets the positional reference.
  `void`
  `setProductSubtotal​(boolean productSubtotal)`
  Sets the product subtotal.
  `void`
  `setRelativeReference​(boolean relativeReference)`
  Sets the relative reference.
  `void`
  `setSelected​(boolean isSelected)`
  Sets the selected.
  `void`
  `setStandardDeviationPopulationSubtotal​(boolean standardDeviationPopulationSubtotal)`
  Sets the standard deviation population subtotal.
  `void`
  `setStandardDeviationSubtotal​(boolean standardDeviationSubtotal)`
  Sets the standard deviation subtotal.
  `void`
  `setSumSubtotal​(boolean sumSubtotal)`
  Sets the sum subtotal.
  `void`
  `setVariancePopulationSubtotal​(boolean variancePopulationSubtotal)`
  Sets the variance population subtotal.
  `void`
  `setVarianceSubtotal​(boolean varianceSubtotal)`
  Sets the variance subtotal.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotAreaReference

    public PivotAreaReference()
    Instantiates a new pivot area reference.

- ## Method Details

  - ### clone

    public PivotAreaReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getItems

    public List<SharedItemIndex> getItems()
    Gets the items.
    Returns:
      the items

  - ### isAverageSubtotal

    public boolean isAverageSubtotal()
    Checks if is average subtotal.
    Returns:
      true, if is average subtotal

  - ### setAverageSubtotal

    public void setAverageSubtotal​(boolean averageSubtotal)
    Sets the average subtotal.
    Parameters:
      `averageSubtotal` - the new average subtotal

  - ### isPositionalReference

    public boolean isPositionalReference()
    Checks if is positional reference.
    Returns:
      true, if is positional reference

  - ### setPositionalReference

    public void setPositionalReference​(boolean positionalReference)
    Sets the positional reference.
    Parameters:
      `positionalReference` - the new positional reference

  - ### getCount

    public int getCount()
    Gets the count.
    Returns:
      the count

  - ### setCount

    public void setCount​(int count)
    Sets the count.
    Parameters:
      `count` - the new count

  - ### isCountASubtotal

    public boolean isCountASubtotal()
    Checks if is count a subtotal.
    Returns:
      true, if is count a subtotal

  - ### setCountASubtotal

    public void setCountASubtotal​(boolean countASubtotal)
    Sets the count a subtotal.
    Parameters:
      `countASubtotal` - the new count a subtotal

  - ### isCountSubtotal

    public boolean isCountSubtotal()
    Checks if is count subtotal.
    Returns:
      true, if is count subtotal

  - ### setCountSubtotal

    public void setCountSubtotal​(boolean countSubtotal)
    Sets the count subtotal.
    Parameters:
      `countSubtotal` - the new count subtotal

  - ### isDefaultSubtotal

    public boolean isDefaultSubtotal()
    Checks if is default subtotal.
    Returns:
      true, if is default subtotal

  - ### setDefaultSubtotal

    public void setDefaultSubtotal​(boolean defaultSubtotal)
    Sets the default subtotal.
    Parameters:
      `defaultSubtotal` - the new default subtotal

  - ### getFieldIndex

    public long getFieldIndex()
    Gets the field index.
    Returns:
      the field index

  - ### setFieldIndex

    public void setFieldIndex​(long fieldIndex)
    Sets the field index.
    Parameters:
      `fieldIndex` - the new field index

  - ### isMaxSubtotal

    public boolean isMaxSubtotal()
    Checks if is max subtotal.
    Returns:
      true, if is max subtotal

  - ### setMaxSubtotal

    public void setMaxSubtotal​(boolean maxSubtotal)
    Sets the max subtotal.
    Parameters:
      `maxSubtotal` - the new max subtotal

  - ### isMinSubtotal

    public boolean isMinSubtotal()
    Checks if is min subtotal.
    Returns:
      true, if is min subtotal

  - ### setMinSubtotal

    public void setMinSubtotal​(boolean minSubtotal)
    Sets the min subtotal.
    Parameters:
      `minSubtotal` - the new min subtotal

  - ### isProductSubtotal

    public boolean isProductSubtotal()
    Checks if is product subtotal.
    Returns:
      true, if is product subtotal

  - ### setProductSubtotal

    public void setProductSubtotal​(boolean productSubtotal)
    Sets the product subtotal.
    Parameters:
      `productSubtotal` - the new product subtotal

  - ### isRelativeReference

    public boolean isRelativeReference()
    Checks if is relative reference.
    Returns:
      true, if is relative reference

  - ### setRelativeReference

    public void setRelativeReference​(boolean relativeReference)
    Sets the relative reference.
    Parameters:
      `relativeReference` - the new relative reference

  - ### isSelected

    public boolean isSelected()
    Checks if is selected.
    Returns:
      true, if is selected

  - ### setSelected

    public void setSelected​(boolean isSelected)
    Sets the selected.
    Parameters:
      `isSelected` - the new selected

  - ### isStandardDeviationPopulationSubtotal

    public boolean isStandardDeviationPopulationSubtotal()
    Checks if is standard deviation population subtotal.
    Returns:
      true, if is standard deviation population subtotal

  - ### setStandardDeviationPopulationSubtotal

    public void setStandardDeviationPopulationSubtotal​(boolean standardDeviationPopulationSubtotal)
    Sets the standard deviation population subtotal.
    Parameters:
      `standardDeviationPopulationSubtotal` - the new standard deviation population subtotal

  - ### isStandardDeviationSubtotal

    public boolean isStandardDeviationSubtotal()
    Checks if is standard deviation subtotal.
    Returns:
      true, if is standard deviation subtotal

  - ### setStandardDeviationSubtotal

    public void setStandardDeviationSubtotal​(boolean standardDeviationSubtotal)
    Sets the standard deviation subtotal.
    Parameters:
      `standardDeviationSubtotal` - the new standard deviation subtotal

  - ### isSumSubtotal

    public boolean isSumSubtotal()
    Checks if is sum subtotal.
    Returns:
      true, if is sum subtotal

  - ### setSumSubtotal

    public void setSumSubtotal​(boolean sumSubtotal)
    Sets the sum subtotal.
    Parameters:
      `sumSubtotal` - the new sum subtotal

  - ### isVariancePopulationSubtotal

    public boolean isVariancePopulationSubtotal()
    Checks if is variance population subtotal.
    Returns:
      true, if is variance population subtotal

  - ### setVariancePopulationSubtotal

    public void setVariancePopulationSubtotal​(boolean variancePopulationSubtotal)
    Sets the variance population subtotal.
    Parameters:
      `variancePopulationSubtotal` - the new variance population subtotal

  - ### isVarianceSubtotal

    public boolean isVarianceSubtotal()
    Checks if is variance subtotal.
    Returns:
      true, if is variance subtotal

  - ### setVarianceSubtotal

    public void setVarianceSubtotal​(boolean varianceSubtotal)
    Sets the variance subtotal.
    Parameters:
      `varianceSubtotal` - the new variance subtotal